net.corda.schemas

## Class CommercialPaperSchemaV1

- MappedSchema
- - net.corda.schemas.CommercialPaperSchemaV1

-     public class CommercialPaperSchemaV1
      extends MappedSchema

  First version of a commercial paper contract ORM schema that maps all fields of the CommercialPaper contract state as it stood at the time of writing.

  See Also:
    CommercialPaper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CommercialPaperSchemaV1.PersistentCommericalPaperState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CommercialPaperSchemaV1` | `INSTANCE` First version of a commercial paper contract ORM schema that maps all fields of the CommercialPaper contract state as it stood at the time of writing.

  - ### Method Summary

    - ### Methods inherited from class net.corda.core.schemas.MappedSchema

      `getMappedTypes, getName, getVersion, toString`

- - ### Field Detail

    - #### INSTANCE

          public static CommercialPaperSchemaV1 INSTANCE

      First version of a commercial paper contract ORM schema that maps all fields of the CommercialPaper contract state as it stood at the time of writing.

      See Also:
        CommercialPaper